## GwyGLMaterialEditor

GwyGLMaterialEditor — OpenGL material editor

## Functions

void | gwy_app_gl_material_editor ()

## Includes

    #include <app/gwyapp.h>

## Description

GwyGradientEditor is the application OpenGL material editor. The interface is currently extremely simple: `gwy_app_gl_material_editor()` invokes the editor (or brings it forward) and then it's user-controlled.

## Functions

### gwy_app_gl_material_editor ()

    void
    gwy_app_gl_material_editor (void);

Creates or presents OpenGL material editor.

Material editor is singleton, therefore if it doesn't exist, this function creates and displays it. If it already exists, it simply calls `gtk_window_present()` on the existing instance. It exists until it's closed by user.